#include<bits/stdc++.h>
using namespace std;
int n,x,m,a[100005],res,y,z;
int main(){
    cin>>n>>m;
    for(int i=1;i<=n;i++)
        cin>>a[i];
    for(int i=1;i<=m;i++){
        cin>>y>>z;
        x=a[y]+a[z];
        res+=abs(x);
    }
    cout<<res<<endl;
    return 0;
}